Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content
Class ObjectClassInUseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.bea.content.RepositoryException
                  com.bea.content.ObjectClassInUseException

All Implemented Interfaces
  Serializable

    public class ObjectClassInUseException

extends RepositoryException

Exception used to denote that a particular operation can not be performed on an ObjectClass becuase it is currently in use.

See Also
  Serialized Form

Constructor Summary
`ObjectClassInUseException(String message)` Constructs a new ObjectClassInUseException with the given message.
`ObjectClassInUseException(String message, Throwable cause)` Constructs a new ObjectClassInUseException with the given message and underlying cause.
`ObjectClassInUseException(String message, Throwable cause, boolean log)` Constructs a new ObjectClassInUseException with the given message and underlying cause.
`ObjectClassInUseException(Throwable cause)` Constructs a new ObjectClassInUseException with the underlying cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectClassInUseException

    public ObjectClassInUseException(String message)

  Constructs a new ObjectClassInUseException with the given message.

  Parameters
    `message` - Message detailing the exception.

### ObjectClassInUseException

    public ObjectClassInUseException(String message,
                                     Throwable cause)

  Constructs a new ObjectClassInUseException with the given message and underlying cause.

  Parameters
    `message` - Message detailing the exception.
    `cause` - The underlying cause of the exception.

### ObjectClassInUseException

    public ObjectClassInUseException(Throwable cause)

  Constructs a new ObjectClassInUseException with the underlying cause.

  Parameters
    `cause` - The underlying cause of the exception.

### ObjectClassInUseException

    public ObjectClassInUseException(String message,
                                     Throwable cause,
                                     boolean log)

  Constructs a new ObjectClassInUseException with the given message and underlying cause.

  Parameters
    `message` - Message detailing the exception.
    `cause` - The underlying cause of the exception.
    `log` - If true then the exception will be logged.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved